rem Launch FBI client from builded distribution
@echo off
set CLASSPATH=fbi.jar;

setlocal ENABLEDELAYEDEXPANSION

for %%i in (lib\*.jar) do set CLASSPATH=!CLASSPATH!;%%i

set JAVA_LAUNCHER=java.exe 
set MAIN_CLASS=com.selima.fbi.ui.MailServiceClient
set JAVA_ARGS=-Xms32m -Xmx256m -XX:+UseConcMarkSweepGC  

if defined dt_shmem set JAVA_ARGS=%JAVA_ARGS% -Xdebug -Xrunjdwp:transport=dt_shmem,address=%dt_shmem%,server=y,suspend=n

if defined dt_socket set JAVA_ARGS=%JAVA_ARGS% -Xdebug -Xrunjdwp:transport=dt_socket,address=%dt_socket%,server=y,suspend=n

start %JAVA_LAUNCHER% %JAVA_ARGS% -classpath "%CLASSPATH%" %MAIN_CLASS% %TIME%

echo on
